## qgis 3.99.0+git20251022+65f55dc44d4+42plucky

=== src/core/CMakeLists.txt ===
############################################################
# sources

BISON_TARGET(QgsExpressionParser   qgsexpressionparser.yy   ${CMAKE_CURRENT_BINARY_DIR}/qgsexpressionparser.cpp COMPILE_FLAGS "-p exp_")
FLEX_TARGET(QgsExpressionLexer qgsexpressionlexer.ll ${CMAKE_CURRENT_BINARY_DIR}/qgsexpressionlexer.cpp)
ADD_FLEX_BISON_DEPENDENCY(QgsExpressionLexer QgsExpressionParser)
BISON_TARGET(QgsSqlStatementParser qgssqlstatementparser.yy ${CMAKE_CURRENT_BINARY_DIR}/qgssqlstatementparser.cpp  COMPILE_FLAGS "-p sqlstatement_")
FLEX_TARGET(QgsSqlStatementLexer qgssqlstatementlexer.ll ${CMAKE_CURRENT_BINARY_DIR}/qgssqlstatementlexer.cpp)
ADD_FLEX_BISON_DEPENDENCY(QgsSqlStatementLexer QgsSqlStatementParser)
BISON_TARGET(QgsMeshCalcParser mesh/qgsmeshcalcparser.yy ${CMAKE_CURRENT_BINARY_DIR}/qgsmeshcalcparser.cpp COMPILE_FLAGS "-p mesh_")
FLEX_TARGET(QgsMeshCalcLexer mesh/qgsmeshcalclexer.ll ${CMAKE_CURRENT_BINARY_DIR}/qgsmeshcalclexer.cpp)
ADD_FLEX_BISON_DEPENDENCY(QgsMeshCalcLexer QgsMeshCalcParser)

if (WITH_PDF4QT)
  SET(PDF4QT_BUILD_ONLY_CORE_LIBRARY TRUE)
  SET(PDF4QT_ENABLE_OPENGL FALSE)
  SUBDIRS(${CMAKE_SOURCE_DIR}/external/PDF4QT)
endif()

set(QGIS_CORE_SRCS
  ${CMAKE_SOURCE_DIR}/external/kdbush/include/kdbush.hpp

  ${CMAKE_SOURCE_DIR}/external/nmea/context.c
  ${CMAKE_SOURCE_DIR}/external/nmea/gmath.c
  ${CMAKE_SOURCE_DIR}/external/nmea/info.c
  ${CMAKE_SOURCE_DIR}/external/nmea/parse.c
  ${CMAKE_SOURCE_DIR}/external/nmea/sentence.c
  ${CMAKE_SOURCE_DIR}/external/nmea/time.c
  ${CMAKE_SOURCE_DIR}/external/nmea/tok.c

  ${FLEX_QgsExpressionLexer_OUTPUTS}
  ${BISON_QgsExpressionParser_OUTPUTS}
  ${FLEX_QgsSqlStatementLexer_OUTPUTS}
  ${BISON_QgsSqlStatementParser_OUTPUTS}
  ${FLEX_QgsMeshCalcLexer_OUTPUTS}
  ${BISON_QgsMeshCalcParser_OUTPUTS}

  actions/qgsaction.cpp
  actions/qgsactionscope.cpp
  actions/qgsactionscoperegistry.cpp
  actions/qgsactionmanager.cpp

  callouts/qgscallout.cpp
  callouts/qgscalloutsregistry.cpp

  classification/qgsclassificationmethodregistry.cpp
  classification/qgsclassificationmethod.cpp
  classification/qgsclassificationcustom.cpp
  classification/qgsclassificationequalinterval.cpp
  classification/qgsclassificationfixedinterval.cpp
  classification/qgsclassificationprettybreaks.cpp
  classification/qgsclassificationquantile.cpp
  classification/qgsclassificationjenks.cpp
  classification/qgsclassificationstandarddeviation.cpp
  classification/qgsclassificationlogarithmic.cpp

  elevation/qgsabstractprofilegenerator.cpp
  elevation/qgsabstractprofilesurfacegenerator.cpp
  elevation/qgsabstractprofilesource.cpp
  elevation/qgselevationprofile.cpp
  elevation/qgselevationprofilemanager.cpp
  elevation/qgselevationprofilemanagermodel.cpp
  elevation/qgsprofileexporter.cpp
  elevation/qgsprofilerenderer.cpp
  elevation/qgsprofilerequest.cpp
  elevation/qgsprofilesnapping.cpp
  elevation/qgsprofilesourceregistry.cpp
  elevation/qgsterrainprovider.cpp

  geocoding/qgsabstractgeocoderlocatorfilter.cpp
  geocoding/qgsgeocoder.cpp
  geocoding/qgsgeocodercontext.cpp
  geocoding/qgsgeocoderresult.cpp
  geocoding/qgsnominatimgeocoder.cpp
  geocoding/qgsgooglemapsgeocoder.cpp

  gps/qgsbabelformat.cpp
  gps/qgsbabelformatregistry.cpp
  gps/qgsbabelgpsdevice.cpp
  gps/qgsgpsconnection.cpp
  gps/qgsgpsconnectionregistry.cpp
  gps/qgsgpsdconnection.cpp
  gps/qgsgpsdetector.cpp
  gps/qgsgpsinformation.cpp
  gps/qgsgpslogger.cpp
  gps/qgsnmeaconnection.cpp
  gps/qgsqtlocationconnection.cpp
  gps/qgssatelliteinformation.cpp
  gps/qgsvectorlayergpslogger.cpp

  plot/qgsbarchartplot.cpp
  plot/qgslinechartplot.cpp
  plot/qgspiechartplot.cpp
  plot/qgsplotregistry.cpp
  plot/qgsplot.cpp
  plot/qgsvectorlayerplotdatagatherer.cpp

  symbology/qgs25drenderer.cpp
  symbology/qgsarrowsymbollayer.cpp
  symbology/qgscategorizedsymbolrenderer.cpp
  symbology/qgscolorbrewerpalette.cpp
  symbology/qgscombinedstylemodel.cpp
  symbology/qgscptcityarchive.cpp
  symbology/qgsellipsesymbollayer.cpp
  symbology/qgsembeddedsymbolrenderer.cpp
  symbology/qgsfeaturerenderergenerator.cpp
  symbology/qgsfillsymbol.cpp
  symbology/qgsfillsymbollayer.cpp
  symbology/qgsgeometrygeneratorsymbollayer.cpp
  symbology/qgsgraduatedsymbolrenderer.cpp
  symbology/qgsheatmaprenderer.cpp
  symbology/qgsinterpolatedlinerenderer.cpp
  symbology/qgsinvertedpolygonrenderer.cpp
  symbology/qgslegendsymbolitem.cpp
  symbology/qgslinearreferencingsymbollayer.cpp
  symbology/qgslinesymbol.cpp
  symbology/qgslinesymbollayer.cpp
  symbology/qgsmapinfosymbolconverter.cpp
  symbology/qgsmarkersymbol.cpp
  symbology/qgsmarkersymbollayer.cpp
  symbology/qgsmasksymbollayer.cpp
  symbology/qgsmergedfeaturerenderer.cpp
  symbology/qgsnullsymbolrenderer.cpp
  symbology/qgspainterswapper.cpp
  symbology/qgspointclusterrenderer.cpp
  symbology/qgspointdisplacementrenderer.cpp
  symbology/qgspointdistancerenderer.cpp
  symbology/qgsrenderer.cpp
  symbology/qgsrendererrange.cpp
  symbology/qgsrendererregistry.cpp
  symbology/qgsrulebasedrenderer.cpp
  symbology/qgssinglesymbolrenderer.cpp
  symbology/qgsstyle.cpp
  symbology/qgsstylemodel.cpp
  symbology/qgssvgcache.cpp
  symbology/qgssymbollayer.cpp
  symbology/qgssymbollayerreference.cpp
  symbology/qgssymbollayerregistry.cpp
  symbology/qgssymbollayerutils.cpp
  symbology/qgssymbol.cpp
  symbology/qgssymbolrendercontext.cpp
  symbology/qgsvectorfieldsymbollayer.cpp
  simplify/effectivearea.cpp

  diagram/qgsdiagram.cpp
  diagram/qgshistogramdiagram.cpp
  diagram/qgspiediagram.cpp
  diagram/qgsstackedbardiagram.cpp
  diagram/qgsstackeddiagram.cpp
  diagram/qgstextdiagram.cpp

  editform/qgseditformconfig.cpp
  editform/qgsattributeeditoraction.cpp
  editform/qgsattributeeditorelement.cpp
  editform/qgsattributeeditorcontainer.cpp
  editform/qgsattributeeditorfield.cpp
  editform/qgsattributeeditorrelation.cpp
  editform/qgsattributeeditorhtmlelement.cpp
  editform/qgsattributeeditortextelement.cpp
  editform/qgsattributeeditorqmlelement.cpp
  editform/qgsattributeeditorspacerelement.cpp

  effects/qgsblureffect.cpp
  effects/qgscoloreffect.cpp
  effects/qgseffectstack.cpp
  effects/qgsgloweffect.cpp
  effects/qgsimageoperation.cpp
  effects/qgspainteffect.cpp
  effects/qgspainteffectregistry.cpp
  effects/qgsshadoweffect.cpp
  effects/qgstransformeffect.cpp

  externalstorage/qgsexternalstorage.cpp
  externalstorage/qgsexternalstorageregistry.cpp
  externalstorage/qgssimplecopyexternalstorage.cpp
  externalstorage/qgshttpexternalstorage.cpp

  layertree/qgscolorramplegendnode.cpp
  layertree/qgscolorramplegendnodesettings.cpp
  layertree/qgslayertreefiltersettings.cpp
  layertree/qgslayertreecustomnode.cpp
  layertree/qgslayertreegroup.cpp
  layertree/qgslayertreelayer.cpp
  layertree/qgslayertreemodel.cpp
  layertree/qgslayertreemodellegendnode.cpp
  layertree/qgslayertreenode.cpp
  layertree/qgslayertreeregistrybridge.cpp
  layertree/qgslayertreefilterproxymodel.cpp
  layertree/qgslayertreeutils.cpp
  layertree/qgslayertree.cpp
  layertree/qgslegendpatchshape.cpp

  metadata/qgsabstractmetadatabase.cpp
  metadata/qgslayermetadata.cpp
  metadata/qgslayermetadatavalidator.cpp
  metadata/qgslayermetadataformatter.cpp
  metadata/qgsmetadatautils.cpp
  metadata/qgsprojectmetadata.cpp
  metadata/qgsabstractlayermetadataprovider.cpp
  metadata/qgslayermetadataproviderregistry.cpp

  numericformats/qgsbasicnumericformat.cpp
  numericformats/qgsbearingnumericformat.cpp
  numericformats/qgscoordinatenumericformat.cpp
  numericformats/qgscurrencynumericformat.cpp
  numericformats/qgsexpressionbasednumericformat.cpp
  numericformats/qgsfallbacknumericformat.cpp
  numericformats/qgsfractionnumericformat.cpp
  numericformats/qgsnumericformat.cpp
  numericformats/qgsnumericformatregistry.cpp
  numericformats/qgspercentagenumericformat.cpp
  numericformats/qgsscientificnumericformat.cpp

  auth/qgsauthcertutils.cpp
  auth/qgsauthconfig.cpp
  auth/qgsauthcrypto.cpp
  auth/qgsauthconfigurationstorage.cpp
  auth/qgsauthconfigurationstorageregistry.cpp
  auth/qgsauthmanager.cpp
  auth/qgsauthmethod.cpp
  auth/qgsauthmethodmetadata.cpp
  auth/qgsauthmethodregistry.cpp
  auth/qgsauthorizationsettings.cpp

  auth/qgsauthconfigurationstoragesqlite.cpp
  auth/qgsauthconfigurationstoragedb.cpp

  annotations/qgsannotation.cpp
  annotations/qgsannotationitem.cpp
  annotations/qgsannotationitemeditoperation.cpp
  annotations/qgsannotationitemregistry.cpp
  annotations/qgsannotationlayer.cpp
  annotations/qgsannotationlayerrenderer.cpp
  annotations/qgsannotationlineitem.cpp
  annotations/qgsannotationlinetextitem.cpp
  annotations/qgsannotationmarkeritem.cpp
  annotations/qgsannotationmanager.cpp
  annotations/qgsannotationpictureitem.cpp
  annotations/qgsannotationpointtextitem.cpp
  annotations/qgsannotationpolygonitem.cpp
  annotations/qgsannotationrectangletextitem.cpp
  annotations/qgsannotationrectitem.cpp
  annotations/qgshtmlannotation.cpp
  annotations/qgsrenderedannotationitemdetails.cpp
  annotations/qgssvgannotation.cpp
  annotations/qgstextannotation.cpp

  expression/qgsexpression.cpp
  expression/qgsexpressioncontextutils.cpp
  expression/qgsexpressionnode.cpp
  expression/qgsexpressionnodeimpl.cpp
  expression/qgsexpressionfunction.cpp
  expression/qgsexpressionutils.cpp

  locator/qgslocator.cpp
  locator/qgslocatorfilter.cpp
  locator/qgslocatormodel.cpp
  locator/qgslocatormodelbridge.cpp

  network/qgsblockingnetworkrequest.cpp
  network/qgsfiledownloader.cpp
  network/qgsnetworkaccessmanager.cpp
  network/qgsnetworkdiskcache.cpp
  network/qgsnetworkcontentfetcher.cpp
  network/qgsnetworkcontentfetcherregistry.cpp
  network/qgsnetworkcontentfetchertask.cpp
  network/qgsnetworkreply.cpp
  network/qgsnetworkreplyparser.cpp
  network/qgsnewsfeedmodel.cpp
  network/qgsnewsfeedparser.cpp
  network/qgshttpheaders.cpp
  network/qgsrangerequestcache.cpp

  painting/qgsgeometrypaintdevice.cpp
  painting/qgsmaskpaintdevice.cpp
  painting/qgsnullpainterdevice.cpp
  painting/qgspaintenginehack.cpp
  painting/qgspainting.cpp

  pdf/qgspdfrenderer.cpp

  processing/qgsprocessing.cpp
  processing/qgsprocessingalgorithm.cpp
  processing/qgsprocessingalgrunnertask.cpp
  processing/qgsprocessingbatch.cpp
  processing/qgsprocessingcontext.cpp
  processing/qgsprocessingfeedback.cpp
  processing/qgsprocessingoutputs.cpp
  processing/qgsprocessingparameteraggregate.cpp
  processing/qgsprocessingparameterdxflayers.cpp
  processing/qgsprocessingparameterfieldmap.cpp
  processing/qgsprocessingparametermeshdataset.cpp
  processing/qgsprocessingparameters.cpp
  processing/qgsprocessingparametertininputlayers.cpp
  processing/qgsprocessingparametertype.cpp
  processing/qgsprocessingparametervectortilewriterlayers.cpp
  processing/qgsprocessingparameteralignrasterlayers.cpp
  processing/qgsprocessingprovider.cpp
  processing/qgsprocessingregistry.cpp
  processing/qgsprocessingutils.cpp
  processing/models/qgsprocessingmodelalgorithm.cpp
  processing/models/qgsprocessingmodelchildalgorithm.cpp
  processing/models/qgsprocessingmodelchildparametersource.cpp
  processing/models/qgsprocessingmodelcomment.cpp
  processing/models/qgsprocessingmodelcomponent.cpp
  processing/models/qgsprocessingmodelgroupbox.cpp
  processing/models/qgsprocessingmodelconfig.cpp
  processing/models/qgsprocessingmodelparameter.cpp
  processing/models/qgsprocessingmodeloutput.cpp
  processing/models/qgsprocessingmodelresult.cpp

  providers/qgsabstractproviderconnection.cpp
  providers/qgsabstractdatabaseproviderconnection.cpp
  providers/qgsdataprovider.cpp
  providers/qgsprovidermetadata.cpp
  providers/qgsproviderregistry.cpp
  providers/qgsprovidersqlquerybuilder.cpp
  providers/qgsprovidersublayerdetails.cpp
  providers/qgsprovidersublayermodel.cpp
  providers/qgsprovidersublayertask.cpp
  providers/qgsproviderutils.cpp
  providers/qgsrunnableprovidercreator.cpp

  providers/arcgis/qgsarcgisportalutils.cpp
  providers/arcgis/qgsarcgisrestquery.cpp
  providers/arcgis/qgsarcgisrestutils.cpp

=== debian/changelog ===
qgis (1:3.99.0+git20251022+65f55dc44d4+42plucky) plucky; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 22 Oct 2025 20:15:42 +0000

## qgis 3.99.0+git20251022+65f55dc44d4+43questing

=== src/ui/CMakeLists.txt ===

file(GLOB QGIS_UIS "${CMAKE_CURRENT_SOURCE_DIR}/*.ui")
file(GLOB SYMBOLLAYER_UIS "${CMAKE_CURRENT_SOURCE_DIR}/symbollayer/*.ui")
file(GLOB EDITORWIDGET_UIS "${CMAKE_CURRENT_SOURCE_DIR}/editorwidgets/*.ui")
file(GLOB PAINTEFFECT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/effects/*.ui")
file(GLOB LABELING_UIS "${CMAKE_CURRENT_SOURCE_DIR}/labeling/*.ui")
file(GLOB LAYOUT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/layout/*.ui")
file(GLOB PROCESSING_UIS "${CMAKE_CURRENT_SOURCE_DIR}/processing/*.ui")
file(GLOB AUTH_UIS "${CMAKE_CURRENT_SOURCE_DIR}/auth/*.ui")
file(GLOB RASTER_UIS "${CMAKE_CURRENT_SOURCE_DIR}/raster/*.ui")
file(GLOB STYLEDOCK_UIS "${CMAKE_CURRENT_SOURCE_DIR}/styledock/*.ui")
file(GLOB MESH_UIS "${CMAKE_CURRENT_SOURCE_DIR}/mesh/*.ui")
file(GLOB POINTCLOUD_UIS "${CMAKE_CURRENT_SOURCE_DIR}/pointcloud/*.ui")
file(GLOB _3D_UIS "${CMAKE_CURRENT_SOURCE_DIR}/3d/*.ui")
file(GLOB CALLOUT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/callouts/*.ui")
file(GLOB NUMERICFORMAT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/numericformats/*.ui")
file(GLOB ATTRIBUTEFORMCONFIG_UIS "${CMAKE_CURRENT_SOURCE_DIR}/attributeformconfig/*.ui")
file(GLOB GEOREFERENCER_UIS "${CMAKE_CURRENT_SOURCE_DIR}/georeferencer/*.ui")
file(GLOB ANNOTATION_UIS "${CMAKE_CURRENT_SOURCE_DIR}/annotations/*.ui")
file(GLOB SENSOR_UIS "${CMAKE_CURRENT_SOURCE_DIR}/sensor/*.ui")
file(GLOB TILED_SCENE_UIS "${CMAKE_CURRENT_SOURCE_DIR}/tiledscene/*.ui")
file(GLOB STAC_UIS "${CMAKE_CURRENT_SOURCE_DIR}/stac/*.ui")
file(GLOB PLOT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/plot/*.ui")

qt_wrap_ui(QGIS_UIS_H
  ${QGIS_UIS}
  ${SYMBOLLAYER_UIS}
  ${EDITORWIDGET_UIS}
  ${PAINTEFFECT_UIS}
  ${PROCESSING_UIS}
  ${AUTH_UIS}
  ${RASTER_UIS}
  ${STYLEDOCK_UIS}
  ${LAYOUT_UIS}
  ${MESH_UIS}
  ${POINTCLOUD_UIS}
  ${_3D_UIS}
  ${CALLOUT_UIS}
  ${LABELING_UIS}
  ${NUMERICFORMAT_UIS}
  ${ATTRIBUTEFORMCONFIG_UIS}
  ${GEOREFERENCER_UIS}
  ${ANNOTATION_UIS}
  ${SENSOR_UIS}
  ${TILED_SCENE_UIS}
  ${STAC_UIS}
  ${PLOT_UIS}
)

set(QGIS_GUI_UI_HDRS ${QGIS_UIS_H} PARENT_SCOPE)

add_custom_target(ui ALL DEPENDS ${QGIS_UIS_H})

# target_sources for custom targets only available in cmake 3.20 and above,
# debian bullseye still has 3.18
if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.20")
target_sources(ui
  PRIVATE
    qgsplaybackcontrollerwidgetbase.ui
)
endif(CMAKE_VERSION VERSION_GREATER_EQUAL "3.20")

=== debian/changelog ===
qgis (1:3.99.0+git20251022+65f55dc44d4+43questing) questing; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 23 Oct 2025 02:40:11 +0000

## qgis 3.99.0+git20251022+65f55dc44d4+99sid

=== debian/changelog ===
qgis (1:3.99.0+git20251022+65f55dc44d4+99sid) sid; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 23 Oct 2025 21:25:00 +0000

## qgis 3.99.0+git20251028+0b11ad8cac4+17bookworm

=== debian/changelog ===
qgis (1:3.99.0+git20251028+0b11ad8cac4+17bookworm) bookworm; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 29 Oct 2025 10:39:46 +0000

## qgis 3.99.0+git20251028+0b11ad8cac4+18trixie

=== debian/changelog ===
qgis (1:3.99.0+git20251028+0b11ad8cac4+18trixie) trixie; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 29 Oct 2025 14:20:23 +0000

## qgis 3.99.0+git20251028+0b11ad8cac4+40noble

=== src/test/CMakeLists.txt ===
add_definitions(-DTEST_DATA_DIR="${TEST_DATA_DIR}")

# for installing headers

include_directories(SYSTEM
  ${QT_INCLUDE_DIR}
)

set(QGIS_TEST_HDRS
  qgstest.h
)

add_library(qgis_test ${LIBRARY_TYPE}
  ${QGIS_TEST_HDRS}
)

target_include_directories(qgis_test PUBLIC
  ${CMAKE_SOURCE_DIR}/src/test

  ${CMAKE_BINARY_DIR}/src/test
)

GENERATE_EXPORT_HEADER(
   qgis_test
   BASE_NAME TEST
   EXPORT_FILE_NAME qgis_test.h
)

target_link_libraries(qgis_test qgis_core ${QT_VERSION_BASE}::Test)

set(QGIS_TEST_HDRS ${QGIS_TEST_HDRS} ${CMAKE_CURRENT_BINARY_DIR}/qgis_test.h)

install(FILES ${QGIS_TEST_HDRS} DESTINATION ${QGIS_INCLUDE_DIR})

=== tests/src/python/CMakeLists.txt ===
set (ENABLE_MSSQLTEST FALSE CACHE BOOL "Enable MSSQL provider tests")
set (ENABLE_ORACLETEST FALSE CACHE BOOL "Enable Oracle provider tests")
set (ENABLE_HANATEST FALSE CACHE BOOL "Enable HANA provider tests")

include(UsePythonTest)

ADD_PYTHON_TEST(PyCoreAdditions test_core_additions.py)
ADD_PYTHON_TEST(PyPythonRepr test_python_repr.py)
ADD_PYTHON_TEST(PyPythonUtils test_python_utils.py)
ADD_PYTHON_TEST(PyQgsActionManager test_qgsactionmanager.py)
ADD_PYTHON_TEST(PyQgsAction test_qgsaction.py)
ADD_PYTHON_TEST(PyQgsAFSProvider test_provider_afs.py)
ADD_PYTHON_TEST(PyQgsAMSProvider test_provider_ams.py)
ADD_PYTHON_TEST(PyQgsAnimatedMarkerSymbolLayer test_qgsanimatedmarkersymbollayer.py)
ADD_PYTHON_TEST(PyQgsArcGisPortalUtils test_qgsarcgisportalutils.py)
ADD_PYTHON_TEST(PyQgsArcGisRestUtils test_qgsarcgisrestutils.py)
ADD_PYTHON_TEST(PyQgsPythonProvider test_provider_python.py)
ADD_PYTHON_TEST(PyQgsAggregateCalculator test_qgsaggregatecalculator.py)
ADD_PYTHON_TEST(PyQgsAnnotationItemEditOperation test_qgsannotationitemeditoperation.py)
ADD_PYTHON_TEST(PyQgsAnnotationItemNode test_qgsannotationitemnode.py)
ADD_PYTHON_TEST(PyQgsAnnotationLayer test_qgsannotationlayer.py)
ADD_PYTHON_TEST(PyQgsAnnotationLineItem test_qgsannotationlineitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationLineTextItem test_qgsannotationlinetextitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationMarkerItem test_qgsannotationmarkeritem.py)
ADD_PYTHON_TEST(PyQgsAnnotationPictureItem test_qgsannotationpictureitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationPointTextItem test_qgsannotationpointtextitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationPolygonItem test_qgsannotationpolygonitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationRectangleTextItem test_qgsannotationrecttextitem.py)
ADD_PYTHON_TEST(PyQgsApplication test_qgsapplication.py)
ADD_PYTHON_TEST(PyQgsAttributeTableConfig test_qgsattributetableconfig.py)
ADD_PYTHON_TEST(PyQgsAuthBasicMethod test_qgsauthbasicmethod.py)
ADD_PYTHON_TEST(PyQgsBabelGpsFormat test_qgsbabelgpsformat.py)
ADD_PYTHON_TEST(PyQgsBatchGeocodeAlgorithm test_qgsgeocoderalgorithm.py)
ADD_PYTHON_TEST(PyQgsBearingUtils test_qgsbearingutils.py)
ADD_PYTHON_TEST(PyQgsBlendModes test_qgsblendmodes.py)
ADD_PYTHON_TEST(PyQgsBlockingProcess test_qgsblockingprocess.py)
ADD_PYTHON_TEST(PyQgsBlockingNetworkRequest test_qgsblockingnetworkrequest.py)
ADD_PYTHON_TEST(PyQgsBookmarkManager test_qgsbookmarkmanager.py)
ADD_PYTHON_TEST(PyQgsBookmarkModel test_qgsbookmarkmodel.py)
ADD_PYTHON_TEST(PyQgsBox3d test_qgsbox3d.py)
ADD_PYTHON_TEST(PyQgsCalloutPanelWidget test_qgscalloutpanelwidget.py)
ADD_PYTHON_TEST(PyQgsCategorizedSymbolRenderer test_qgscategorizedsymbolrenderer.py)
ADD_PYTHON_TEST(PyQgsCesium3dTilesLayer test_qgscesium3dtileslayer.py)
ADD_PYTHON_TEST(PyQgsCesiumUtils test_qgscesiumutils.py)
ADD_PYTHON_TEST(PyQgsCircle test_qgscircle.py)
ADD_PYTHON_TEST(PyQgsCircularString test_qgscircularstring.py)
ADD_PYTHON_TEST(PyQgsClassificationMethod test_qgsclassificationmethod.py)
ADD_PYTHON_TEST(PyQgsCollapsibleGroupBox test_qgscollapsiblegroupbox.py)
ADD_PYTHON_TEST(PyQgsColorRamp test_qgscolorramp.py)
ADD_PYTHON_TEST(PyQgsColorRampLegendNode test_qgscolorramplegendnode.py)
ADD_PYTHON_TEST(PyQgsColorScheme test_qgscolorscheme.py)
ADD_PYTHON_TEST(PyQgsColorSchemeRegistry test_qgscolorschemeregistry.py)
ADD_PYTHON_TEST(PyQgsColorUtils test_qgscolorutils.py)
ADD_PYTHON_TEST(PyQgsCombinedStyleModel test_qgscombinedstylemodel.py)
ADD_PYTHON_TEST(PyQgsCompoundCurve test_qgscompoundcurve.py)
ADD_PYTHON_TEST(PyQgsCoordinateFormatter test_qgscoordinateformatter.py)
ADD_PYTHON_TEST(PyQgsCoordinateReferenceSystem test_qgscoordinatereferencesystem.py)
ADD_PYTHON_TEST(PyQgsCoordinateReferenceSystemUtils test_qgscoordinatereferencesystemutils.py)
ADD_PYTHON_TEST(PyQgsConditionalStyle test_qgsconditionalstyle.py)
ADD_PYTHON_TEST(PyQgsConnectionRegistry test_qgsconnectionregistry.py)
ADD_PYTHON_TEST(PyQgsCoordinateTransformContext test_qgscoordinatetransformcontext.py)
ADD_PYTHON_TEST(PyQgsDefaultValue test_qgsdefaultvalue.py)
ADD_PYTHON_TEST(PyQgsXmlUtils test_qgsxmlutils.py)
ADD_PYTHON_TEST(PyQgsCore test_qgscore.py)
ADD_PYTHON_TEST(PyQgsCoordinateTransform test_qgscoordinatetransform.py)
ADD_PYTHON_TEST(PyQgsDataItem test_qgsdataitem.py)
ADD_PYTHON_TEST(PyQgsDataItemProviderRegistry test_qgsdataitemproviderregistry.py)
ADD_PYTHON_TEST(PyQgsDateTimeStatisticalSummary test_qgsdatetimestatisticalsummary.py)
ADD_PYTHON_TEST(PyQgsDatumTransform test_qgsdatumtransforms.py)
ADD_PYTHON_TEST(PyQgsDelimitedTextProvider test_qgsdelimitedtextprovider.py)
ADD_PYTHON_TEST(PyQgsDistanceArea test_qgsdistancearea.py)
ADD_PYTHON_TEST(PyQgsElevationControllerWidget test_qgselevationcontrollerwidget.py)
ADD_PYTHON_TEST(PyQgsElevationProfile test_qgselevationprofile.py)
ADD_PYTHON_TEST(PyQgsElevationProfileManager test_qgselevationprofilemanager.py)
ADD_PYTHON_TEST(PyQgsElevationProfileManagerModel test_qgselevationprofilemanagermodel.py)
ADD_PYTHON_TEST(PyQgsElevationUtils test_qgselevationutils.py)
ADD_PYTHON_TEST(PyQgsEllipsoidUtils test_qgsellipsoidutils.py)
ADD_PYTHON_TEST(PyQgsEmbeddedSymbolRenderer test_qgsembeddedsymbolrenderer.py)
ADD_PYTHON_TEST(PyQgsEsriI3sLayer test_qgsesrii3slayer.py)
ADD_PYTHON_TEST(PyQgsExifTools test_qgsexiftools.py)
ADD_PYTHON_TEST(PyQgsExpression test_qgsexpression.py)
ADD_PYTHON_TEST(PyQgsExpressionPreviewWidget test_qgsexpressionpreviewwidget.py)
ADD_PYTHON_TEST(PyQgsExternalStorageWebDav test_qgsexternalstorage_webdav.py)
ADD_PYTHON_TEST(PyQgsExternalStorageAwsS3 test_qgsexternalstorage_awss3.py)
ADD_PYTHON_TEST(PyQgsFeature test_qgsfeature.py)
ADD_PYTHON_TEST(PyQgsFeatureSink test_qgsfeaturesink.py)
ADD_PYTHON_TEST(PyQgsFeatureSource test_qgsfeaturesource.py)
ADD_PYTHON_TEST(PyQgsFieldFormattersTest test_qgsfieldformatters.py)
ADD_PYTHON_TEST(PyQgsFilledLineSymbolLayer test_qgsfilledlinesymbollayer.py)
ADD_PYTHON_TEST(PyQgsFillSymbolLayers test_qgsfillsymbollayers.py)
ADD_PYTHON_TEST(PyQgsFontManager test_qgsfontmanager.py)
ADD_PYTHON_TEST(PyQgsProject test_qgsproject.py)
ADD_PYTHON_TEST(PyQgsProjectBadLayers test_qgsprojectbadlayers.py)
ADD_PYTHON_TEST(PyQgsProjectDisplaySettings test_qgsprojectdisplaysettings.py)
ADD_PYTHON_TEST(PyQgsProjectTimeSettings test_qgsprojecttimesettings.py)
ADD_PYTHON_TEST(PyQgsProjectStyleSettings test_qgsprojectstylesettings.py)
ADD_PYTHON_TEST(PyQgsFeatureIterator test_qgsfeatureiterator.py)
ADD_PYTHON_TEST(PyQgsFeatureRequest test_qgsfeaturerequest.py)
ADD_PYTHON_TEST(PyQgsFeedback test_qgsfeedback.py)
ADD_PYTHON_TEST(PyQgsFieldDomain test_qgsfielddomain.py)
ADD_PYTHON_TEST(PyQgsField test_qgsfield.py)
ADD_PYTHON_TEST(PyQgsFields test_qgsfields.py)
ADD_PYTHON_TEST(PyQgsFieldModel test_qgsfieldmodel.py)
ADD_PYTHON_TEST(PyQgsFileUtils test_qgsfileutils.py)
ADD_PYTHON_TEST(PyQgsFontUtils test_qgsfontutils.py)
ADD_PYTHON_TEST(PyQgsGdalProvider test_provider_gdal.py)
ADD_PYTHON_TEST(PyQgsGeometryAvoidIntersections test_qgsgeometry_avoid_intersections.py)
ADD_PYTHON_TEST(PyQgsGeometryCollection test_qgsgeometrycollection.py)
ADD_PYTHON_TEST(PyQgsGeometryGeneratorSymbolLayer test_qgsgeometrygeneratorsymbollayer.py)
ADD_PYTHON_TEST(PyQgsGeometryFilletChamfer test_qgsgeometry_fillet_chamfer.py)
ADD_PYTHON_TEST(PyQgsGeometryPaintDevice test_qgsgeometrypaintdevice.py)
ADD_PYTHON_TEST(PyQgsGeometryTest test_qgsgeometry.py)
ADD_PYTHON_TEST(PyQgsGeometryValidator test_qgsgeometryvalidator.py)
ADD_PYTHON_TEST(PyQgsNominatimGeocoder test_qgsnominatimgeocoder.py)
ADD_PYTHON_TEST(PyQgsGoogleMapsGeocoder test_qgsgooglemapsgeocoder.py)
ADD_PYTHON_TEST(PyQgsGpsLogger test_qgsgpslogger.py)
ADD_PYTHON_TEST(PyQgsGpxProvider test_provider_gpx.py)
ADD_PYTHON_TEST(PyQgsGraduatedSymbolRenderer test_qgsgraduatedsymbolrenderer.py)
ADD_PYTHON_TEST(PyQgsGraph test_qgsgraph.py)
ADD_PYTHON_TEST(PyQgsGroupLayer test_qgsgrouplayer.py)
ADD_PYTHON_TEST(PyQgsHashLineSymbolLayer test_qgshashlinesymbollayer.py)
ADD_PYTHON_TEST(PyQgsHeatmapRenderer test_qgsheatmaprenderer.py)
ADD_PYTHON_TEST(PyQgsHillshadeRenderer test_qgshillshaderenderer.py)
ADD_PYTHON_TEST(PyQgsImageCache test_qgsimagecache.py)
ADD_PYTHON_TEST(PyQgsInterpolatedLineSymbolLayer test_qgsinterpolatedlinesymbollayers.py)
ADD_PYTHON_TEST(PyQgsInterval test_qgsinterval.py)
ADD_PYTHON_TEST(PyQgsJsonUtils test_qgsjsonutils.py)
ADD_PYTHON_TEST(PyQgsLabelingEngineRule test_qgslabelingenginerule.py)
ADD_PYTHON_TEST(PyQgsLabelLineSettings test_qgslabellinesettings.py)
ADD_PYTHON_TEST(PyQgsLabelObstacleSettings test_qgslabelobstaclesettings.py)
ADD_PYTHON_TEST(PyQgsLabelPlacementSettings test_qgslabelplacementsettings.py)
ADD_PYTHON_TEST(PyQgsLabelThinningSettings test_qgslabelthinningsettings.py)
ADD_PYTHON_TEST(PyQgsLayerMetadata test_qgslayermetadata.py)
ADD_PYTHON_TEST(PyQgsLayerMetadataProviderPython test_qgslayermetadataprovider_python.py)
ADD_PYTHON_TEST(PyQgsLayerMetadataProviderOgr test_qgslayermetadataprovider_ogr.py)
ADD_PYTHON_TEST(PyQgsLayerTree test_qgslayertree.py)
ADD_PYTHON_TEST(PyQgsLayerTreeFilterProxyModel test_qgslayertreefilterproxymodel.py)
ADD_PYTHON_TEST(PyQgsLayerTreeRegistryBridge test_qgslayertreeregistrybridge.py)
ADD_PYTHON_TEST(PyQgsLayout test_qgslayout.py)
ADD_PYTHON_TEST(PyQgsLayoutAlign test_qgslayoutaligner.py)
ADD_PYTHON_TEST(PyQgsLayoutAtlas test_qgslayoutatlas.py)
ADD_PYTHON_TEST(PyQgsLayoutChart test_qgslayoutchart.py)
ADD_PYTHON_TEST(PyQgsLayoutElevationProfile test_qgslayoutelevationprofile.py)
ADD_PYTHON_TEST(PyQgsLayoutExporter test_qgslayoutexporter.py)
ADD_PYTHON_TEST(PyQgsLayoutFrame test_qgslayoutframe.py)
ADD_PYTHON_TEST(PyQgsLayoutManager test_qgslayoutmanager.py)
ADD_PYTHON_TEST(PyQgsLayoutManagerModel test_qgslayoutmanagermodel.py)
ADD_PYTHON_TEST(PyQgsLayoutPageCollection test_qgslayoutpagecollection.py)
ADD_PYTHON_TEST(PyQgsLayoutGridSettings test_qgslayoutgridsettings.py)
ADD_PYTHON_TEST(PyQgsLayoutGuide test_qgslayoutguides.py)
ADD_PYTHON_TEST(PyQgsLayoutHtml test_qgslayouthtml.py)
ADD_PYTHON_TEST(PyQgsLayoutItem test_qgslayoutitem.py)
ADD_PYTHON_TEST(PyQgsLayoutLabel test_qgslayoutlabel.py)
ADD_PYTHON_TEST(PyQgsLayoutLegend test_qgslayoutlegend.py)
ADD_PYTHON_TEST(PyQgsLayoutMap test_qgslayoutmap.py)
ADD_PYTHON_TEST(PyQgsLayoutItemMapAtlasClippingSettings test_qgslayoutatlasclippingsettings.py)
ADD_PYTHON_TEST(PyQgsLayoutItemMapItemClipPathSettings test_qgslayoutmapitemclippingsettings.py)
ADD_PYTHON_TEST(PyQgsLayoutMapGrid test_qgslayoutmapgrid.py)
ADD_PYTHON_TEST(PyQgsLayoutMapOverview test_qgslayoutmapoverview.py)
ADD_PYTHON_TEST(PyQgsLayoutMarker test_qgslayoutmarker.py)
ADD_PYTHON_TEST(PyQgsLayoutNorthArrowHandler test_qgslayoutnortharrowhandler.py)
ADD_PYTHON_TEST(PyQgsLayoutPage test_qgslayoutpage.py)
ADD_PYTHON_TEST(PyQgsLayoutPicture test_qgslayoutpicture.py)
ADD_PYTHON_TEST(PyQgsLayoutPolygon test_qgslayoutpolygon.py)
ADD_PYTHON_TEST(PyQgsLayoutPolyline test_qgslayoutpolyline.py)
ADD_PYTHON_TEST(PyQgsLayoutScaleBar test_qgslayoutscalebar.py)
ADD_PYTHON_TEST(PyQgsLayoutShape test_qgslayoutshape.py)
ADD_PYTHON_TEST(PyQgsLayoutSnapper test_qgslayoutsnapper.py)
ADD_PYTHON_TEST(PyQgsLayoutTable test_qgslayouttable.py)
ADD_PYTHON_TEST(PyQgsLegendPatchShape test_qgslegendpatchshape.py)
ADD_PYTHON_TEST(PyQgsLegendRenderer test_qgslegendrenderer.py)
ADD_PYTHON_TEST(PyQgsLegendSettings test_qgslegendsettings.py)
ADD_PYTHON_TEST(PyQgsLegendStyle test_qgslegendstyle.py)
ADD_PYTHON_TEST(PyQgsLinearReferencingSymbolLayer test_qgslinearreferencingsymbollayer.py)
ADD_PYTHON_TEST(PyQgsLineSegment test_qgslinesegment.py)
ADD_PYTHON_TEST(PyQgsLineString test_qgslinestring.py)
ADD_PYTHON_TEST(PyQgsLineSymbolLayers test_qgslinesymbollayers.py)
ADD_PYTHON_TEST(PyQgsLineburstSymbolLayer test_qgslineburstsymbollayer.py)
ADD_PYTHON_TEST(PyQgsLocalDefaultSettings test_qgslocaldefaultsettings.py)
ADD_PYTHON_TEST(PyQgsLocalizedDataPathRegistry test_qgslocalizeddatapathregistry.py)
ADD_PYTHON_TEST(PyQgsLocator test_qgslocator.py)
ADD_PYTHON_TEST(PyQgsMapBoxGlStyleConverter test_qgsmapboxglconverter.py)

=== debian/changelog ===
qgis (1:3.99.0+git20251028+0b11ad8cac4+40noble) noble; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 28 Oct 2025 19:10:39 +0000

## qgis 3.99.0+git20251028+0b11ad8cac4+99sid

=== debian/changelog ===
qgis (1:3.99.0+git20251028+0b11ad8cac4+99sid) sid; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 30 Oct 2025 03:02:09 +0000

## qgis 3.99.0+git20251102+8d39f46cfdd+17bookworm

=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
   ${PLOT_UIS}
 )
 
-set(QGIS_GUI_UI_HDRS ${QGIS_UIS_H} PARENT_SCOPE)
+install(FILES ${QGIS_UIS_H} DESTINATION ${QGIS_INCLUDE_DIR})
 
 add_custom_target(ui ALL DEPENDS ${QGIS_UIS_H})

=== debian/changelog ===
qgis (1:3.99.0+git20251102+8d39f46cfdd+17bookworm) bookworm; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 02 Nov 2025 18:40:35 +0000

=== debian/control ===
Source: qgis
Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>
Uploaders: Jürgen E. Fischer <jef@norbit.de>
Section: science
Priority: optional
Build-Depends:
 bison,
 ca-certificates,
 cmake (>= 2.8),
 debhelper (>= 9),
 dh-python,
 flex,
 gdal-bin,
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libfcgi-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libdraco-dev,
 libspatialindex-dev,
 libspatialite-dev,
 libmeshoptimizer-dev,
 libsqlite3-dev,
 libsqlite3-mod-spatialite,
 libzip-dev,
 nlohmann-json3-dev,
 ninja-build,
 ocl-icd-opencl-dev,
 opencl-headers,
 pkgconf,
 python3-all-dev,
 python3-dev,
 python3-gdal,
 python3-mock,
 python3-nose2,
 python3-owslib,
 python3-packaging,
 python3-psycopg2,
 python3-pyqtbuild,
 sip-tools,
 python3-termcolor,
 python3-yaml,
 libprotobuf-dev,
 protobuf-compiler,
 libzstd-dev,
 git,
 graphviz,
 xvfb,
 xauth,
 xfonts-base,
 xfonts-100dpi,
 xfonts-75dpi,
 xfonts-scalable,
 spawn-fcgi,
 poppler-utils,
 lighttpd,
 qtbase5-dev,  qtbase5-private-dev,  qtmultimedia5-dev,  qtpositioning5-dev,  qtkeychain-qt5-dev, qttools5-dev-tools,  qttools5-dev,  libqca-qt5-2-dev, libqca-qt5-2-plugins, libqscintilla2-qt5-dev,
 libqt5webkit5-dev,
 libqt5opengl5-dev, libqt5serialport5-dev, libqt5sql5-sqlite, libqt5svg5-dev, libqt5xmlpatterns5-dev,
 qt3d5-dev,  qt3d-assimpsceneimport-plugin,   qt3d-defaultgeometryloader-plugin,   qt3d-gltfsceneio-plugin,   qt3d-scene2d-plugin,
 python3-pyqt5, python3-pyqt5.qsci, python3-pyqt5.qtmultimedia, python3-pyqt5.qtpositioning, python3-pyqt5.qtserialport, python3-pyqt5.qtsvg, pyqt5-dev-tools, pyqt5-dev, pyqt5.qsci-dev, python3-pyqt6.sip, python3-pyqt5.qtsql,
 locales
Build-Conflicts:
 libspatialindex-dev (>= 2.1.0),
 libqgis-dev,
 libqgis-qt6-dev,
 qgis-dev
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/qgis/QGIS/
Vcs-Git: https://github.com/qgis/QGIS.git
Homepage: https://qgis.org/
Rules-Requires-Root: no

Package: qgis-common
Architecture: all
Depends:
 libjs-jquery,
 libjs-leaflet,
 qml-module-qtcharts,
 ${misc:Depends}
Description: QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the QGIS GRASS plugin.

Package: python3-qgis-common
Architecture: all
Section: python
Depends:
 gdal-bin,
 python3-gdal,
 python3-matplotlib,
 ${python3:Depends},
 ${misc:Depends}
Breaks: python-qgis-common (<< ${source:Version})
Replaces: python-qgis-common (<< ${source:Version})
Suggests:
 saga
Description: Python bindings to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS Python
 bindings.

Package: qgis-providers-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qgis-common (<= 1.6)
Replaces: qgis-common (<= 1.6)
Description: collection of data providers to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS providers.

Package: python-qgis
Depends: python3-qgis, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python-qgis-common
Depends: python3-qgis-common, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: qgis-server-common
Architecture: all
Description: QGIS - common server files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the common files of QGIS server.

Package: qgis-quick-common
Architecture: all
Description: QGIS - common Qt Quick files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the common files for Qt Quick.

Package: qgis
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3-qgis (= ${binary:Version}),
 qgis-providers (= ${binary:Version}),
 qgis-common (= ${source:Version})
Recommends:
 qgis-plugin-grass
Suggests: gpsbabel
Conflicts: uim-qt3
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. QGIS supports shape file viewing and
 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,
 map composition, and a number of other features via a plugin interface. QGIS
 also supports display of various georeferenced raster and Digital Elevation
 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII
 DEM.

Package: libqgis-3d3.99.0
Architecture: any
Section: libs
Depends:
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared 3d library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared 3d library.

Package: libqgis-analysis3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared analysis library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared analysis library.

Package: libqgis-app3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.99.0
Description: QGIS - shared app library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared app library.

Package: libqgis-core3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared core library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared core library.

Package: libqgis-gui3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared gui library.

Package: libqgis-native3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared native gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared native gui library.

Package: libqgis-server3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared server library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared server library.

Package: libqgis-quick
Architecture: any
Section: libs
Depends:
 qgis-quick-common (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared quick library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared quick library.

Package: libqgisgrass8-3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared grass library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared grass library.

Package: libqgispython3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.99.0
Description: QGIS - shared Python library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared Python library.

Package: libqgis-customwidgets
Architecture: any
Depends:
 qttools5-dev-tools,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS custom widgets for Qt Designer
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains a library to use specific QGIS widgets in Qt Designer.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 qtbase5-dev, qtmultimedia5-dev, qtpositioning5-dev, qttools5-dev, libqca-qt5-2-dev, libqscintilla2-qt5-dev, libqt5svg5-dev, pyqt5-dev-tools, pyqt5.qsci-dev, python3-pyqt5, python3-pyqt5.qsci, python3-pyqt5.qtsql,
 libqt5webkit5-dev,
 libqgis-3d3.99.0 (= ${binary:Version}),
 libqgis-analysis3.99.0 (= ${binary:Version}),
 libqgis-app3.99.0 (= ${binary:Version}),
 libqgis-core3.99.0 (= ${binary:Version}),
 libqgis-gui3.99.0 (= ${binary:Version}),
 libqgis-native3.99.0 (= ${binary:Version}),
 libqgis-server3.99.0 (= ${binary:Version}),
 libqgisgrass8-3.99.0 (= ${binary:Version}),
 libqgispython3.99.0 (= ${binary:Version}),
 libsqlite3-dev,
 nlohmann-json3-dev,
 python3-dev,
 ${misc:Depends}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Description: QGIS - development files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the libraries needed to develop plugins for QGIS.

Package: qgis-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 libqgis-3d3.99.0 (= ${binary:Version}),
 libqgis-analysis3.99.0 (= ${binary:Version}),
 libqgis-app3.99.0 (= ${binary:Version}),
 libqgis-core3.99.0(= ${binary:Version}),
 libqgis-gui3.99.0 (= ${binary:Version}),
 libqgis-native3.99.0 (= ${binary:Version}),
 libqgis-server3.99.0 (= ${binary:Version}),
 libqgisgrass8-3.99.0 (= ${binary:Version}),
 libqgispython3.99.0 (= ${binary:Version}),
 ${misc:Depends}
Suggests: gdb
Description: QGIS - debugging symbols
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains debugging symbols.

Package: qgis-provider-grass
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS provider for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This provider enables GRASS data access in QGIS.

Package: qgis-plugin-grass
Architecture: any
Depends:
 qgis (= ${binary:Version}),
 qgis-plugin-grass-common (= ${source:Version}),
 qgis-provider-grass (= ${binary:Version}),
 grass-core,
 ${grass:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS plugin for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This plugin enables GRASS data access in QGIS.

Package: python3-qgis
Architecture: any
Section: python

## qgis 3.99.0+git20251102+8d39f46cfdd+18trixie

=== debian/changelog ===
qgis (1:3.99.0+git20251102+8d39f46cfdd+18trixie) trixie; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 02 Nov 2025 22:39:05 +0000

## qgis 3.99.0+git20251102+8d39f46cfdd+42plucky

=== debian/changelog ===
qgis (1:3.99.0+git20251102+8d39f46cfdd+42plucky) plucky; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 02 Nov 2025 04:44:42 +0000
